Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis - Christer's review

From: Christer Holmberg <[email-masked]>
Date: Mon, 4 Dec 2017 19:50:34 +0000

Hi,

Many of my WGLC comments have been addressed. However, I still have some issues.

Q1: SDP 'floorctrl' attribute:
-------------------------------------

It is very unclear whether the attribute is mandatory in offers/answers or not.

Section 11.1 says that it MUST be included in offers. However, section 4 seems to indicate that it may not be included in an offer.

Section 11.2 says that it MUST be included in an answer, while section 4 indicates that it is only included if present in the offer.

Q2: Previous comment on SECTION 5:
---------------------------------------------------
    
    Q5_1: In section 4, the name of the section is "Floor Control Server Determination", and then section 4.1 defines the associated SDP attribute.
    
    However, in section 5 you start by defining the 'confid' and 'userid' attributes. I think it would be good to have a similar structure as in section 4, where you first give an overview of the feature, and then define the attributes in subsections.
 
[cue] This is a carryover from RFC 4583. While I agree with you, I’m not sure it is worth changing at this point. Do you have text you think would be helpful as an intro to the section?   

[christer] My suggestion (more simple than my original suggestion) would be to name section 4 to 'SDP 'floorctrl' Attribute', and structure it in a similar way as sections 5 and 6.

Q3: Previous comment on  SECTION 11:
-----------------------------------------------------
    
    Q11_1: I think the mux category for the 'bfcpver' attribute should be defined in the section that defines the attribute - not in the offer/answer procedures.

[cue] Sounds good to me.
    
[christer] The fix is good.

I note that the mux categories for the other attributes are defined in draft-ietf-mmusic-mux-attributes. That would probably be good to mention that, and while draft-ietf-mmusic-mux-attributes references RFC 4583, the mux considerations also apply to this 4583bis.
    
Regards,
    
Christer

    -----Original Message-----
    From: Charles Eckel (eckelcu) [mailto:[email-masked]] 
    Sent: 19 July 2017 12:23
    To: [email-masked]
    Cc: Tom Kristensen (tomkrist) <[email-masked]>; Roman Shpount <[email-masked]>; Alan Ford <[email-masked]>; Gonzalo Camarillo <[email-masked]>; Christer Holmberg <[email-masked]>; [email-masked]
    Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis
    
    (As WG co-chair)
    
    Thanks to those who provided reviews. We have decided to extend WGLC an additional week, through July 25, to provide folks tied up with other IETF matters time to complete their reviews.
    
    Cheers,
    Charles 
    
    -----Original Message-----
    From: bfcpbis <[email-masked]> on behalf of Charles Eckel <[email-masked]>
    Date: Monday, July 17, 2017 at 10:10 AM
    To: "[email-masked]" <[email-masked]>
    Cc: Tom Kristensen <[email-masked]>, Roman Shpount <[email-masked]>, Alan Ford <[email-masked]>, Gonzalo Camarillo <[email-masked]>, Christer Holmberg <[email-masked]>
    Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis
    
        (As WG co-chair)
        
        This is a reminder that WGLC ends tomorrow. I realize the time to review overlaps with IETF prep and meeting times. If you require more time to review the draft, please let me know. Otherwise, please share your review comments by the end of tomorrow.
        
        Thanks,
        Charles
        
        -----Original Message-----
        From: bfcpbis <[email-masked]> on behalf of Charles Eckel <[email-masked]>
        Date: Wednesday, July 5, 2017 at 5:59 PM
        To: "[email-masked]" <[email-masked]>
        Subject: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis
        
            (As WG co-chair)
            
            This is to announce an additional working group last call for draft-ietf-bfcpbis-rfc4583bis, "Session Description Protocol (SDP) Format for Binary Floor Control Protocol (BFCP) Streams".
            http://datatracker.ietf.org/doc/draft-ietf-bfcpbis-rfc4583bis/
            
            This is intended as a Standards Track RFC, obsoleting RFC 4583.
            Please respond to the list by July 18th (i.e. 2 weeks) with any comments.
            
            We had a working group last call previous, but a significant amount of time and some substantial changes and additions have occurred to justify another review of the draft in its entirely. It is helpful to attempt to categorize your comment (e.g. technical issue vs. editorial), and also to provide any replacement text you feel is necessary.
            If you review the document and have no comments, please tell the chairs that you have reviewed it. This is always useful information in assessing the degree of WG review and consensus behind the document.
            Note, we have not scheduled a working group session for IETF 99 in Prague. This WGLC will close during IETF 99. If helpful, we can arrange a side meeting to discuss any significant issues, or with any luck, gather at a bar to celebrate the draft being ready to advance to the next step toward RFC.
            
            Cheers,
            Charles

            _______________________________________________
            bfcpbis mailing list
            [email-masked]
            https://www.ietf.org/mailman/listinfo/bfcpbis

        _______________________________________________
        bfcpbis mailing list
        [email-masked]
        https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 6 Dec 2017 19:34:35 +0000

Hi Christer,

Please see inline.

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Monday, December 4, 2017 at 11:50 AM
To: Charles Eckel <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Tom Kristensen <[email-masked]>, Roman Shpount <[email-masked]>, Alan Ford <[email-masked]>, Gonzalo Camarillo <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis - Christer's review

    Hi,

    

[cue] Sections 11.1 says it MUST be included in offers IF the offerer acts as a floor control server.
[cue] Similarly, section 11.2 says it MUST be included in the answer IF the answerer acts as a floor control server.
[cue] This is consistent with section 4, which states a floor control server acting as an offerer or as an answerer MUST include this attribute in its session descriptions.
[cue] So I think this is technically correct, though as you point out, perhaps not the best wording. That said, it was reworded in this draft to try to make it more clear. Do you have a different wording that you think would be better?

        

[cue] I do not have a strong preference here.    

    
    [cue] Sounds good to me.

[cue] I agree, that would be good to add.

Cheers,
Charles
        
    Regards,
        
    Christer

        -----Original Message-----
        From: Charles Eckel (eckelcu) [mailto:[email-masked]] 
        Sent: 19 July 2017 12:23
        To: [email-masked]
        Cc: Tom Kristensen (tomkrist) <[email-masked]>; Roman Shpount <[email-masked]>; Alan Ford <[email-masked]>; Gonzalo Camarillo <[email-masked]>; Christer Holmberg <[email-masked]>; [email-masked]
        Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis
        
        (As WG co-chair)

        Cheers,
        Charles 
        
        -----Original Message-----
        From: bfcpbis <[email-masked]> on behalf of Charles Eckel <[email-masked]>
        Date: Monday, July 17, 2017 at 10:10 AM
        To: "[email-masked]" <[email-masked]>
        Cc: Tom Kristensen <[email-masked]>, Roman Shpount <[email-masked]>, Alan Ford <[email-masked]>, Gonzalo Camarillo <[email-masked]>, Christer Holmberg <[email-masked]>
        Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis
        
            (As WG co-chair)

            Thanks,
            Charles
            
            -----Original Message-----
            
                (As WG co-chair)

                
                
                Cheers,
                Charles

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 7 Dec 2017 08:16:45 +0000

Hi,

>    Section 11.1 says that it MUST be included in offers. However,
>section 4 seems to indicate that it may not be included in an offer.
>    
>    Section 11.2 says that it MUST be included in an answer, while
>section 4 indicates that it is only included if present in the offer.
>
>[cue] Similarly, section 11.2 says it MUST be included in the answer IF
>the answerer acts as a floor control server.

Section 4 does not talk about the role. The text says:

  "If an SDP media description in an offer contains a 'floorctrl'
   attribute, the answerer accepting that media MUST include a
   'floorctrl' attribute in the corresponding media description of the
   answer.²

>[cue] This is consistent with section 4, which states a floor control
>server acting as an offerer or as an answerer MUST include this attribute
>in its session descriptions.

Based on the text in section 11.2, if the answerer does NOT include the
attribute in the answer, it would mean that the answerer acts as floor
control client. Right?

BUT, the text in section 4 says:

  "If the 'floorctrl' attribute is not used in an offer/answer exchange,
   by default the offerer and the answerer will act as a floor control
   client and as a floor control server, respectively.²

So, to me that means that if the answerer does NOT include the attribute
in the answer, the answerer acts as server.

>[cue] So I think this is technically correct, though as you point out,
>perhaps not the best wording. That said, it was reworded in this draft to
>try to make it more clear. Do you have a different wording that you think
>would be better?

In my opinion, section 4 should only define the attribute, and what it is
used for. The offer/answer considerations should ONLY be in section 11.

Regards,

Christer

>        Cc: Tom Kristensen (tomkrist) <[email-masked]>; Roman Shpount
><[email-masked]>; Alan Ford <[email-masked]>; Gonzalo
>Camarillo <[email-masked]>; Christer Holmberg
><[email-masked]>; [email-masked]
>        Thanks to those who provided reviews. We have decided to extend
>WGLC an additional week, through July 25, to provide folks tied up with
>other IETF matters time to complete their reviews.
>        
>        Cheers,
>        Charles 
>        
>        Cc: Tom Kristensen <[email-masked]>, Roman Shpount
><[email-masked]>, Alan Ford <[email-masked]>, Gonzalo
>Camarillo <[email-masked]>, Christer Holmberg
><[email-masked]>
>            This is a reminder that WGLC ends tomorrow. I realize the
>time to review overlaps with IETF prep and meeting times. If you require
>more time to review the draft, please let me know. Otherwise, please
>share your review comments by the end of tomorrow.
>            
>            Thanks,
>            Charles
>            
>                This is to announce an additional working group last call
>for draft-ietf-bfcpbis-rfc4583bis, "Session Description Protocol (SDP)
>Format for Binary Floor Control Protocol (BFCP) Streams".
>                
>                We had a working group last call previous, but a
>significant amount of time and some substantial changes and additions
>have occurred to justify another review of the draft in its entirely. It
>is helpful to attempt to categorize your comment (e.g. technical issue
>vs. editorial), and also to provide any replacement text you feel is
>necessary.
>                If you review the document and have no comments, please
>tell the chairs that you have reviewed it. This is always useful
>information in assessing the degree of WG review and consensus behind the
>document.
>                Note, we have not scheduled a working group session for
>IETF 99 in Prague. This WGLC will close during IETF 99. If helpful, we
>can arrange a side meeting to discuss any significant issues, or with any
>luck, gather at a bar to celebrate the draft being ready to advance to
>the next step toward RFC.
>                
>                Cheers,
>                Charles
>                
>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 7 Dec 2017 18:14:02 +0000

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Thursday, December 7, 2017 at 12:16 AM
To: Charles Eckel <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Tom Kristensen <[email-masked]>, Roman Shpount <[email-masked]>, Alan Ford <[email-masked]>, Gonzalo Camarillo <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis - Christer's review

    Hi,

    

    

[cue] My understanding is that this scenario is not possible, but I see your point.  
How about if section 4 is changed as follows:

OLD
   If the 'floorctrl' attribute is not used in an offer/answer exchange,
   by default the offerer and the answerer will act as a floor control
   client and as a floor control server, respectively.
NEW
   If the 'floorctrl' attribute is included in an offer, it MUST be included in the answer.
   If the ‘floorctrl’ attribute is not included in the offer, the default value of ‘c-only’ is assumed.

    

    

[cue] The combination of your persistence and going through the rules and scenarios in section 4-6 as well as in 11 have convinced me that you are correct. Sprinkling offer/answer stuff in multiple places results in duplication and confusion. I agree that is would be better to divide as you suggest. I really wanted to avoid making changes of this magnitude at this point; however, better to make them now than to wait for the same issues to arise even later in the process.
Tom and others, any concerns with this approach?
If not, Tom, can you rev the draft within the next week or two?

Cheers,
Charles

    Regards,
    
    Christer

---

From: Alan Ford <[email-masked]>
Date: Tue, 12 Dec 2017 09:37:59 +0000

Hi all,

I agree with Christer re Section 4 here, the text has become slightly confused. Now the presence of this attribute in O/A has been raised to a MUST, the following paragraph serves no purpose any more and should be removed:

That would resolve the confusion highlighted here.

Regarding my own WGLC comments, I’m not going to kick up any more of a fuss about this, but in Section 6, although the text re “mstrm” has been improved to clarify being optional, I remain confused as to what the scenario actually is for a floorid without associated media stream(s). Does it affect all streams in that case? Or would it be used for floors that do not have any associated media streams (whatever that means)? I think it would be useful to define what the lack of mstrm means (unless it’s application-specific, in which case we can ignore it).

Other than that, I am happy with the document as it now stands.

Regards,
Alan

> On 7 Dec 2017, at 08:16, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 
>>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 13 Dec 2017 18:06:30 +0000

Hi Alan,

Please see inline.

From: Alan Ford <[email-masked]>
Date: Tuesday, December 12, 2017 at 1:38 AM
To: Christer Holmberg <[email-masked]>
Cc: Charles Eckel <[email-masked]>, "[email-masked]" <[email-masked]>, Tom Kristensen <[email-masked]>, Roman Shpount <[email-masked]>, Gonzalo Camarillo <[email-masked]>
Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis - Christer's review

Hi all,

[cue] I am okay with that change. I think the suggested wording I provided in my response to Christer is more explicit, but I am okay either way. Christer, do you have a preference?

[cue] I agree but can only say that is the way it was defined in RFC 4583 and we do not change that. I do not know why it was defined this way. My guess is it has something to do with a conference in which a floor control server wants to advertise the same floor-id to all participants and not all of the participants have a floor controlled stream yet (e.g. I joined the conference and have an audio and video stream but no presentation sharing stream yet.).
However, in section 11.5, https://tools.ietf.org/html/rfc4583#section-11.5, RFC 4583 implies there is always at least one media stream associated with a floorid.

Regards,
Alan

[cue] Great, thanks.

Charles

On 7 Dec 2017, at 08:16, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

  It is very unclear whether the attribute is mandatory in
offers/answers or not.

[cue] Sections 11.1 says it MUST be included in offers IF the offerer
acts as a floor control server.
[cue] Similarly, section 11.2 says it MUST be included in the answer IF
the answerer acts as a floor control server.

Regards,

Christer

      -----Original Message-----
      From: Charles Eckel (eckelcu) [mailto:[email-masked]]
      Sent: 19 July 2017 12:23
      To: [email-masked]<mailto:[email-masked]>
      Cc: Tom Kristensen (tomkrist) <[email-masked]<mailto:[email-masked]>>; Roman Shpount
<[email-masked]<mailto:[email-masked]>>; Alan Ford <[email-masked]<mailto:[email-masked]>>; Gonzalo
Camarillo <[email-masked]<mailto:[email-masked]>>; Christer Holmberg
<[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
      Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis

      (As WG co-chair)

      Cheers,
      Charles

      -----Original Message-----
      From: bfcpbis <[email-masked]<mailto:[email-masked]>> on behalf of Charles
Eckel <[email-masked]<mailto:[email-masked]>>
      Date: Monday, July 17, 2017 at 10:10 AM
      To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
      Cc: Tom Kristensen <[email-masked]<mailto:[email-masked]>>, Roman Shpount
<[email-masked]<mailto:[email-masked]>>, Alan Ford <[email-masked]<mailto:[email-masked]>>, Gonzalo
Camarillo <[email-masked]<mailto:[email-masked]>>, Christer Holmberg
<[email-masked]<mailto:[email-masked]>>
      Subject: Re: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis

          (As WG co-chair)

          Thanks,
          Charles

          -----Original Message-----
          From: bfcpbis <[email-masked]<mailto:[email-masked]>> on behalf of Charles
Eckel <[email-masked]<mailto:[email-masked]>>
          Date: Wednesday, July 5, 2017 at 5:59 PM
          To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
          Subject: [bfcpbis] WGLC for draft-ietf-bfcpbis-rfc4583bis

              (As WG co-chair)

              This is intended as a Standards Track RFC, obsoleting RFC
4583.
              Please respond to the list by July 18th (i.e. 2 weeks)
with any comments.

              Cheers,
              Charles